Subject: Re: bug#18736: chroot regression - chroot avoids the chroot() call too eagerly.

From: Bernhard Voelker <[email-masked]>
Date: Thu, 16 Oct 2014 12:30:51 +0200

On 10/16/2014 12:02 PM, Pádraig Brady wrote:
> I don't have a strong preference either but would be (60:40) the other way.
> In my mind they comes under the "it's better to ask forgiveness than permission" idea.
> I.E. it's better to invoke lower layer logic where possible, rather than
> adding higher level logic. Given it's more risky to avoid the chroot()
> I'd be inclined to wait until there were complaints about the inconsistent
> behavior rather than the other way around.

Another possibility would be to suppress issuing an error diagnostic
for a chroot() failure when DIR is "/" ...

Have a nice day,
Berny